Subject: bug#55943: Cannot insert registers in calc

From: Michael Heerdegen <[email-masked]>
Date: Tue, 14 Jun 2022 13:05:09 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Registers in Calc have nothing to do with the normal Emacs-wide
> registers -- you can only insert with `r i' in Calc stuff you've save
> with `r s' in Calc.  But I see that the doc strings here don't actually
> say this, so I've fixed this for Emacs 28.2.

Hmm - I think I don't agree - see what

  (info "(calc) Inserting From Registers")

tells.  String valued registers work fine.  So this change:

+Note that this command only works with Calc registers, and they
+have nothing to do with the Emacs-wide register mechanism.

is not justified in my opinion.  Calc uses the normal register
mechanism, but enhances registers that save regions from Calc by saving
additional data in a separate variable.

Wouldn't it make sense to make "calc-insert-register" work with number
valued registers?

Michael.